Redmine - Defect #21490

Repository Statistics will not populate on client machines, only the host machine when using the
http://localhost URL

2015-12-12 00:51 - David Wise
Target version:
Description

| have Redmine setup on a virtual server (MS Server 2012 R2 Standard). When a user logs into Redmine from their client laptop,
then clicks on the Statistics link from the Repository tab, the page populates with 2 missing image icons and the back link.

The issue appears related to the URL used. The Statistics page will only populate the images when accessed using the
http://localhost/redmine/ address. When a client logs into Redmine hosted on a remote server, the statistics SVG will not populate.

| have a second instance of Redmine installed on my local machine to test plugins / changes before | perform a change to the
company Redmine site on the VM. Both are Bitnami stack installs with:

Redmine version 3.0.3.stable

Ruby version 2.0.0-p645 (2015-04-13) [i386-mingw32]
Rails version 4.2.1

Database adapter Mysql2

SCM: Subversion 1.9.2

| did the following to isolate the circumstances in which this happens:

e Accessed my local hosted Redmine using the address http:/localhost/redmine/ from my local machine and WAS able to see the
stat graphics on the Repository Statistics page

¢ Accessed my local hosted Redmine using the address http:// <machine_name> /redmine/ from my local machine and was NOT
able to see the stat graphics on the Repository Statistics page

¢ Accessed the remote server hosted Redmine using the address http://localhost/redmine/ in a remote session on the virtual
server and WAS able to see the stat graphics on the Repository Statistics page

¢ Accessed the remote server hosted Redmine using the address http:// <server_name> /redmine/ in a remote session on the
virtual server and was NOT able to see the stat graphics on the Repository Statistics page

¢ Accessed the remote server hosted Redmine using the address http:// <server_name> /redmine/ from my client laptop and was
NOT able to see the stat graphics on the Repository Statistics page

| am reporting this as a defect as it should not matter where the page is being viewed from, or the URL address used in the browser.
There is also no settings option in either Admin > Settings > Repositories or in Project > Settings > Repositories to enter a value for
the hosted machine name / URL used for a hosted Redmine site.

Please provide a fix, or instructions, for allowing the statistics page to be viewed by client machines. | would be quite happy with the
resolution being instructions on how to resolve the issue with my current installation of Redmine.

Thanks

History

#1 - 2015-12-12 06:34 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

It is obvious your environment problem.

There is no host depending setting and coding on Redmine.
source:tags/3.2.0/config/routes.rb#L 234

You had better ask other site (e.g. stackoverflow).
#2 - 2015-12-15 00:34 - David Wise

- Status changed from Closed to Reopened
Can you please expand on what you mean by
"It is obvious your environment problem.

There is no host depending setting and coding on Redmine."

| have tried it on 2 separate environments with 2 separate installations and received the same result. The stats populate depending on if | use
http://localhost in the Redmine URL. If the URL identifies the machine name instead of using localhost, then the graphics do not display. There is no
error displayed or 404 page. The page is simply created without the graphics. The only difference between the view source of the successfully
loaded localhost page and the page with the machine URL is the csrf-token.

#3 - 2015-12-15 03:33 - David Wise

Here is the access.log from viewing the page with the URL starting with http:/localhost/redmine/

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/projects/production/repository/statistics HTTP/1.1" 200 1635

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/javascripts/application.js HTTP/1.1" 304 -

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/stylesheets/application.css HTTP/1.1" 304 -

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/stylesheets/jquery/jquery-ui-1.11.0.css HTTP/1.1" 304 -

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.1.js HTTP/1.1" 304 -

127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/projects/production/repository/graph?graph=commits_per_month HTTP/1.1" 304 -
127.0.0.1 - - [14/Dec/2015:19:38:24 -0600] "GET /redmine/projects/production/repository/graph?graph=commits_per_author HTTP/1.1" 304 -

Here is the access.log from viewing the page with the URL starting with http://pf01xdhv/redmine/

192.168.1.76 - - [14/Dec/2015:19:38:30 -0600] "GET /redmine/projects/production/repository/statistics HTTP/1.1" 200 1635
192.168.1.76 - - [14/Dec/2015:19:38:30 -0600] "GET /redmine/stylesheets/jquery/jquery-ui-1.11.0.css HTTP/1.1" 304 -
192.168.1.76 - - [14/Dec/2015:19:38:30 -0600] "GET /redmine/stylesheets/application.css HTTP/1.1" 304 -

192.168.1.76 - - [14/Dec/2015:19:38:30 -0600] "GET /redmine/javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.1.js HTTP/1.1" 304 -
192.168.1.76 - - [14/Dec/2015:19:38:30 -0600] "GET /redmine/javascripts/application.js HTTP/1.1" 304 -

192.168.1.76 - - [14/Dec/2015:19:38:31 -0600] "GET /redmine/images/loading.gif HTTP/1.1" 304 -

192.168.1.76 - - [14/Dec/2015:19:39:31 -0600] "-" 408 -

192.168.1.76 - - [14/Dec/2015:19:39:31 -0600] "-" 408 -

192.168.1.76 - - [14/Dec/2015:19:39:31 -0600] "-" 408 -

Both URLs access the same instance of Redmine, which is installed on the windows computer named pf01xdhv. Both attempts to access the page
where made from the pf01xdhv windows machine. The first example shows the statistic graphs, the second does not. The only difference between
the view source for the repository/statistics page is the content value for csrf-token

#4 - 2015-12-15 03:35 - David Wise

All other pages for the Redmine site work with either URL address.

#5 - 2015-12-15 05:06 - Toshi MARUYAMA

Why not check redmine log?

#6 - 2015-12-15 05:13 - Toshi MARUYAMA

- Status changed from Reopened to Needs feedback

#7 - 2015-12-15 15:36 - David Wise

The \Bitnami\redmine-3.0.3-0\apache2\logs\access.log is posted above. The \Bitnami\redmine-3.0.3-0\apache2\logs\error.log has no entries during
this time. Below is the entries from the Bitnami\redmine-3.0.3-0\apps\redmine\htdocs\log\production.log at the time:

Completed 200 OK in 16ms (Views: 0.0ms | ActiveRecord: 15.6ms)

Started GET "/redmine/projects/production/repository/statistics" for 127.0.0.1 at 2015-12-14 19:38:24 -0600

Processing by RepositoriesController#stats as HTML

Parameters: {"id"=>"production"}

Current user: dwise10 (id=1)

Rendered repositories/stats.html.erb within layouts/base (0.0ms)

Completed 200 OK in 16ms (Views: 15.6ms | ActiveRecord: 0.0ms)

Started GET "/redmine/projects/production/repository/graph?graph=commits_per_author" for 127.0.0.1 at 2015-12-14 19:38:24 -0600
Started GET "/redmine/projects/production/repository/graph?graph=commits_per_month" for 127.0.0.1 at 2015-12-14 19:38:24 -0600
Processing by RepositoriesController#graph as HTML

Parameters: {"graph"=>"commits_per_author", "id"=>"production"}

Processing by RepositoriesController#graph as HTML

Parameters: {"graph"=>"commits_per_month", "id"=>"production"}
Current user: dwise10 (id=1)

Current user: dwise10 (id=1)

Rendered text template (0.0ms)

Sent data (0.0ms)

Completed 200 OK in 31ms (Views: 0.0ms | ActiveRecord: 15.6ms)
Rendered text template (0.0ms)

Sent data (0.0ms)

Completed 200 OK in 47ms (Views: 0.0ms | ActiveRecord: 15.6ms)

Started GET "/redmine/projects/production/repository/statistics" for 127.0.0.1 at 2015-12-14 19:38:30 -0600

Processing by RepositoriesController#stats as HTML

Parameters: {"id"=>"production"}

Current user: dwise10 (id=1)

Rendered repositories/stats.html.erb within layouts/base (0.0ms)
Completed 200 OK in 16ms (Views: 15.6ms | ActiveRecord: 0.0ms)

Are there any other log files | am missing that you want me to post?

#8 - 2016-01-11 04:41 - Toshi MARUYAMA
- Status changed from Needs feedback to Closed

Log says it is your environment problem because second block does not have 'Started GET
"/redmine/projects/production/repository/graph?graph=commits_per_author".

#9 - 2016-01-11 04:45 - Toshi MARUYAMA

You should ask Bitnami team.
